inf_task_cfg:
  file_interface_cfg_dct:
    local:
      general_filelock_dirP: /home/willemm/filelocking
      hash_version_control_bl: true
      inter_process_lock_timeout_kwargs: {}
      reference_count_bl: true
      root_archive_dirP: /home/willemm/data/caliopdn/archive
      root_scratch_dirP: /home/willemm/scratch/caliopdn
      scratch_filelock_dirP: /home/willemm/scratch/caliopdn/filelocking
      temporary_dir_bl: false
    orchid.slurm:
      general_filelock_dirP: /home/willemm/filelocking/caliopdn/general
      hash_version_control_bl: true
      inter_process_lock_timeout_kwargs: {}
      reference_count_bl: true
      root_archive_dirP: /ships22/hercules/willemm/data/caliopdn
      root_scratch_dirP: /scratch/jobs/willemm
      scratch_filelock_dirP: /home/willemm/filelocking/caliopdn/scratch
      temporary_dir_bl: false
  pp_cfg:
    channel: 1
    fwd_mdl_apc_cfg:
      clip_negative_counts_bl: true
    fwd_mdl_masks_cfg:
      feature_type_qa_int: 1
      incld_ice_bl: false
      incld_unknown_cloud_bl: false
      incld_water_bl: true
      neg_bias_parl_chnl_th_flt: -150.0
      neg_bias_perp_chnl_th_flt: -150.0
      pbl_height_flt: 0.0
      surf_mask_shift_int: 2
    fwd_mdl_sdc_cfg:
      parl_clp_cfg:
        count_to_photon_count_scale_flt: 0.03750044614749538
        pmt_dynode_gain_flt: 2.962
        pmt_nr_dynodes_int: 13
        skip_datasets: []
      perp_clp_cfg:
        count_to_photon_count_scale_flt: 0.032522782286233114
        pmt_dynode_gain_flt: 2.962
        pmt_nr_dynodes_int: 13
        skip_datasets: []
    hold_out_method_str: thinning
    hold_out_p_trn_flt: 0.5
    hold_out_p_vld_flt: 0.5
    hsrl2_time_start_dt: null
    hsrl2_time_stop_dt: null
    l1b_fileN_str: CAL_LID_L1-Standard-V4-10.2006-09-04T19-19-52ZD.hdf
    noise_type_str: compounded-poisson
    rng_seed_int: 0
    time_start_dt: null
    time_stop_dt: null
    xsbatcher_cfg:
      batch_size: 2040
      divisible_size: 0
      overlap_size: null
      stride_size: 1020
  pp_cls: PreprocessData
  session_str: CAL_LID_L1-Standard-V4-10.2006-09-04T19-19-52ZD.hdf
parallel_denoise_cfg:
  altitude_ds_factor_int: 1
  denoiser_str: bm3d
  disable_hold_out_trn_vld_mask_bl: false
  enable_cld_mask_bl: false
  enable_neg_bias_mask_bl: true
  enable_no_signal_mask_bl: true
  enable_pbl_mask_bl: false
  enable_surf_mask_bl: true
  final_inference_bl: false
  interp_kind_str: nearest
  number_threads_int: 1
  region_lst:
  - 4
  - 3
  - 2
  regularization_ds_coeff_adj:
    1: 0.0
    2: 0.0
    3: 0.0
    4: 0.0
    5: 0.0
  regularization_onboard_ds_coeff_adj:
    1: 0.0625
    2: 0.0625
    3: 0.0625
    4: 0.0625
    5: 0.0625
  regularization_param:
    method_str: linspace
    num_int: 1
    start_flt: 0.5
    stop_flt: 0.5
  regularization_scaling:
    1: 10.0
    2: 1.0
    3: 6.0
    4: 6.0
    5: 6.0
  time_ds_factor_int: 30
perpendicular_denoise_cfg:
  altitude_ds_factor_int: 1
  denoiser_str: bm3d
  disable_hold_out_trn_vld_mask_bl: false
  enable_cld_mask_bl: false
  enable_neg_bias_mask_bl: true
  enable_no_signal_mask_bl: true
  enable_pbl_mask_bl: false
  enable_surf_mask_bl: true
  final_inference_bl: false
  interp_kind_str: nearest
  number_threads_int: 1
  region_lst:
  - 4
  - 3
  - 2
  regularization_ds_coeff_adj:
    1: 0.0
    2: 0.0
    3: 0.0
    4: 0.0
    5: 0.0
  regularization_onboard_ds_coeff_adj:
    1: 0.0625
    2: 0.0625
    3: 0.0625
    4: 0.0625
    5: 0.0625
  regularization_param:
    method_str: linspace
    num_int: 1
    start_flt: 0.5
    stop_flt: 0.5
  regularization_scaling:
    1: 10.0
    2: 1.0
    3: 6.0
    4: 6.0
    5: 6.0
  time_ds_factor_int: 30
resources_cfg:
  denoise_per_batch_per_reg_task_collect:
    cpus_int: 1
    disk_space_mb_int: 32768
    mem_mb_int: 32768
  denoise_task:
    cpus_int: 1
    disk_space_mb_int: 32768
    mem_mb_int: 32768
  denoise_task_collect:
    cpus_int: 1
    disk_space_mb_int: 32768
    mem_mb_int: 32768
  output_ancillary_counts_task:
    cpus_int: 1
    disk_space_mb_int: 32768
    mem_mb_int: 32768
